Name:          mate-system-monitor
Version:       1.23.0
Release:       1%{?dist}
Summary:       Process and resource monitor
License:       GPLv2+
URL:           http://mate-desktop.org
Source0:       http://pub.mate-desktop.org/releases/1.22/%{name}-%{version}.tar.xz

# https://github.com/mate-desktop/mate-system-monitor/pull/153
#Patch1:       mate-system-monitor_0001-Use-g_date_time_format-instead-of-filter_date.patch
# https://github.com/mate-desktop/mate-system-monitor/pull/154
#Patch2:       mate-system-monitor_0001-Add-disk-IO-on-process-info.patch

BuildRequires: gcc-c++
BuildRequires: dbus-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: gtk3-devel
BuildRequires: gtkmm30-devel
BuildRequires: libgtop2-devel
BuildRequires: librsvg2-devel
BuildRequires: libwnck3-devel
BuildRequires: libxml2-devel
BuildRequires: mate-common
BuildRequires: pkgconfig(libsystemd)

Requires: mate-desktop

%description
mate-system-monitor allows to graphically view and manipulate the running
processes on your system. It also provides an overview of available resources
such as CPU and memory.

%prep
%autosetup -p1

# patch 5,8
#NOCONFIGURE=1 ./autogen.sh

%build
%configure \
        --disable-static \
        --disable-schemas-compile \
        --enable-systemd

make %{?_smp_mflags} V=1


%install
%{make_install}

desktop-file-install --delete-original             \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
  $RPM_BUILD_ROOT%{_datadir}/applications/mate-system-monitor.desktop

%find_lang %{name} --with-gnome --all-name


%files -f %{name}.lang
%doc AUTHORS NEWS COPYING README
%{_bindir}/mate-system-monitor
%{_libexecdir}/mate-system-monitor/
%{_datadir}/polkit-1/actions/org.mate.mate-system-monitor.policy
%{_datadir}/metainfo/mate-system-monitor.appdata.xml
%{_datadir}/applications/mate-system-monitor.desktop
%{_datadir}/pixmaps/mate-system-monitor/
%{_datadir}/glib-2.0/schemas/org.mate.system-monitor.*.xml
%{_mandir}/man1/*


%changelog
* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.23.0-1
- test 1.23.0

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.1-1
- test 1.22.1

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.0-3
- test https://github.com/mate-desktop/mate-system-monitor/commit/722987b
- test https://github.com/mate-desktop/mate-system-monitor/commit/cb6d099
- test https://github.com/mate-desktop/mate-system-monitor/commit/ca5dc45
- test https://github.com/mate-desktop/mate-system-monitor/commit/3a57e09
- test https://github.com/mate-desktop/mate-system-monitor/commit/5c0c91a
- test https://github.com/mate-desktop/mate-system-monitor/commit/fbdd007
- test https://github.com/mate-desktop/mate-system-monitor/commit/8e92f12
- test https://github.com/mate-desktop/mate-system-monitor/commit/ed02d91
- test https://github.com/mate-desktop/mate-system-monitor/pull/146
- test https://github.com/mate-desktop/mate-system-monitor/commit/e59ca71
- test https://github.com/mate-desktop/mate-system-monitor/pull/148
- test https://github.com/mate-desktop/mate-system-monitor/pull/147
- test https://github.com/mate-desktop/mate-system-monitor/pull/151
- test https://github.com/mate-desktop/mate-system-monitor/pull/153
- test https://github.com/mate-desktop/mate-system-monitor/pull/154

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.0-2
- fix unowned directory, rhbz (#1695490)
 
* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.0-1
- update to 1.22.0

* Mon Jun 18 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.1-2
- test https://github.com/mate-desktop/mate-system-monitor/pull/131
- test https://github.com/mate-desktop/mate-system-monitor/pull/135
- test https://github.com/mate-desktop/mate-system-monitor/pull/136
- test https://github.com/mate-desktop/mate-system-monitor/pull/137

* Mon Jun 18 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.1-1
- test 1.21.1

* Mon Jun 18 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.0-2
- test https://github.com/mate-desktop/mate-system-monitor/pull/128

* Mon Jun 18 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.0-1
- test 1.21.0 release

* Mon Jun 18 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.1-1
- update to 1.20.1 release

* Sun Feb 11 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.0-2
- test https://github.com/mate-desktop/mate-system-monitor/pull/111
- test https://github.com/mate-desktop/mate-system-monitor/pull/116

* Sun Feb 11 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.0-1
- update to 1.20.0 release
- drop GSettings Schema rpm scriplet
- switch to autosetup

* Mon Jan 01 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.19.1-1
- update to 1.19.1
- test https://github.com/mate-desktop/mate-system-monitor/pull/106
- test https://github.com/mate-desktop/mate-system-monitor/pull/108
- test https://github.com/mate-desktop/mate-system-monitor/pull/107

* Sat Nov 04 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.19.0-3
- test https://github.com/mate-desktop/mate-system-monitor/pull/104

* Sat Nov 04 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.19.0-2
- add https://github.com/mate-desktop/mate-system-monitor/commit/cd5b3a0

* Wed Oct 11 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.19.0-1
- update to 1.19.0

* Tue Mar 14 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.18.0-1
- update to 1.18.0 release

* Sat Sep 17 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.0-2
- test use GtkGrid for renice-dialog

* Sat Sep 17 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.0-1
- test 1.17.0 release

* Sat Sep 17 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.16.0-1
- test 1.16.0 release

* Thu Jun 09 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.15.0-1
- update to 1.15.0 release

* Tue Apr 05 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.14.0-1
- update to 1.14.0 release
- build with systemd support

* Sun Feb 21 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.13.2-1
- update to 1.13.2 release

* Sun Feb 21 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.13.1-1
- update to 1.13.1 release
- test, https://github.com/mate-desktop/mate-system-monitor/pull/80

* Thu Feb 04 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.13.0-1
- update to 1.13.0 release

* Sat Oct 31 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.12.0-1
- update to 1.12.0 release
- build against gtk3

* Fri Oct 16 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.11.0-1
- update to 1.11.0 release

* Tue Jul 14 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.1.1
- update to 1.10.1 release

* Sat Apr 04 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.90-1
- update to 1.9.90 release

* Thu Jan 22 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.2-1
- update to 1.9.2 release

* Sun Nov 23 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.1-1
- update to 1.9.1 release

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 15 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.0-1
- update to 1.9.0 release
- drop runtime require mate-desktop, no need of it

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 30 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.0-2
- rebuild for libgtop2 soname bump

* Wed Mar 05 2014 Dan Mashal <dan.mashal@fedoraproject.org> - 1.8.0-1
- Update to 1.8.0

* Wed Feb 19 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.90-1
- update to 1.7.90

* Sun Feb 09 2014 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.1-1
- Update to 1.7.1

* Thu Jan 16 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0-1
- update to 1.7.0 release
- add --with-gnome --all-name for find language
- re-worked BR's
- re-worked configure flags
- re-worked file section
- remove usage of hardlink, no need anymore

* Fri Aug 02 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.1-1
- Bump to 1.6.1
- Drop unused patches
- Add disable-schemas-compile configure flag
- Update man page in directive in files section

* Fri Jul 26 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-2
- add upstream patch to fix rhbz (#888696)
- add upstream patch to add manpages
- clean up BRs
- use hardlink to save space by linking identical images in translated docs
- remove --with-gnome find language flag
- remove needless gsettings convert file

* Wed Apr 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest 1.6.0 stable release.

* Sun Mar 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> 1.5.1-1
- Latest upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.0-2
- drop deprecated mate-vfs BR

* Thu Nov 08 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- update to 1.5.0 release

* Fri Oct 19 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-2
- add build requires libxml2-devel

* Thu Oct 18 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-1
- Initial build

